# Meditation Assistant
[![Translate](https://hosted.weblate.org/widgets/meditation-assistant/-/svg-badge.svg)](https://medinet.rocketnine.space/translate/)
[![Donate](https://img.shields.io/liberapay/receives/rocketnine.space.svg?logo=liberapay)](https://liberapay.com/rocketnine.space)

<a href="https://f-droid.org/packages/sh.ftp.rocketninelabs.meditationassistant.opensource/"><img width="121" height="36" alt="F-Droid" border="0" src="https://rocketnine.space/static/badge_fdroid_36.png"></a>
 &nbsp; <a href="https://play.google.com/store/apps/details?id=sh.ftp.rocketninelabs.meditationassistant"><img width="121" height="36" alt="Google Play" border="0" src="https://rocketnine.space/static/badge_google_36.png"></a>

This application assists with both timed (via duration or ending at a specific time) and
untimed sessions, with numerous customizations, including start/interval/end sounds and
device behavior. It also provides a monthly overview of your progress.

A major feature in this application is the ability to share your sessions online. Though
entirely optional, sharing your progress online adds another dimension to your
accountability. Now that you've gone public, as your meditation streak increases more users
will see it as a goal of their own. Streaks of over one thousand days have been recorded.

Your meditation streak is the number of consecutive days you have recorded at least one
session. As your streak grows, "not breaking the chain" becomes quite important. Soon you
will be meditating once a day, even if it's five or ten minutes out of your schedule.

## Features

- Automatically put your device into priority only, alarms only, vibrate or silent mode while meditating
- Choose from several included meditation sounds, or use a sound file of your own
- Play an interval sound at a duration of your choice
- Pause your session and come back to it when you are ready
- Upload sessions to [MediNET](https://code.rocketnine.space/tslocum/medinet)

## Screenshots

<a href="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/1.png"><img width="108" height="216" alt="Screenshot" border="0" src="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/thumbnails/1.png"></a>
 &nbsp; <a href="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/2.png"><img width="108" height="216" alt="Screenshot" border="0" src="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/thumbnails/2.png"></a>
 &nbsp; <a href="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/3.png"><img width="108" height="216" alt="Screenshot" border="0" src="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/thumbnails/3.png"></a>
 &nbsp; <a href="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/4.png"><img width="108" height="216" alt="Screenshot" border="0" src="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/thumbnails/4.png"></a>
 &nbsp; <a href="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/5.png"><img width="108" height="216" alt="Screenshot" border="0" src="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/thumbnails/5.png"></a>
 &nbsp; <a href="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/6.png"><img width="108" height="216" alt="Screenshot" border="0" src="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/thumbnails/6.png"></a>
 &nbsp; <a href="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/7.png"><img width="108" height="216" alt="Screenshot" border="0" src="https://code.rocketnine.space/tslocum/meditationassistant/raw/branch/master/metadata/en-US/images/phoneScreenshots/thumbnails/7.png"></a>

## Donate

- [LiberaPay](https://liberapay.com/rocketnine.space) (preferred)
- [PayPal](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=TEP9HT98XK7QA)
- Bitcoin: `3Aq6xnpdxSByUtKGrJNdte1sMzj3mADWaz`
- Ethereum: `0xae52394db367695bf3B3C2AFE725B6Aa5129Aa89`

## Get Support

[Open an issue](https://code.rocketnine.space/tslocum/meditationassistant/issues) describing your problem.

## Translate

Translation is handled [online](https://medinet.rocketnine.space/translate/).

## Download

APKs may be downloaded from [F-Droid](https://f-droid.org/packages/sh.ftp.rocketninelabs.meditationassistant.opensource/) (preferred).
They may also be downloaded from [the developer](http://medinet.rocketnine.space/download/?sort=name&order=desc).

## Build

See [BUILDING.md](https://code.rocketnine.space/tslocum/meditationassistant/src/branch/master/BUILDING.md).

## Contribute

 1. Read the [GitLab forking workflow guide](https://docs.gitlab.com/ee/workflow/forking_workflow.html).
 2. Fork this repository.
 3. Commit code changes to your forked repository.
 4. Submit a pull request describing your changes.

## License

**GNU GPLv3**

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see [https://www.gnu.org/licenses/](https://www.gnu.org/licenses/).
